<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Analysing GHRU Data • ghruR</title>
<!-- jquery --><script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script><!-- Bootstrap --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/css/bootstrap.min.css" integrity="sha256-bZLfwXAP04zRMK2BjiO8iu9pf4FbLqX6zitd+tIvLhE=" crossorigin="anonymous">
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha256-nuL8/2cJ5NDSSwnKD8VqreErSWHtnEP9E7AySL+1ev4=" crossorigin="anonymous"></script><!-- bootstrap-toc --><link rel="stylesheet" href="../bootstrap-toc.css">
<script src="../bootstrap-toc.js"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous">
<!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- pkgdown --><link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script><meta property="og:title" content="Analysing GHRU Data">
<meta property="og:description" content="ghruR">
<!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
</head>
<body data-spy="scroll" data-target="#toc">
    <div class="container template-article">
      <header><div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">ghruR</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.3.2</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
<li>
  <a href="../index.html">
    <span class="fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
<li>
      <a href="../articles/analysing_ghru_data.html">Analysing GHRU Data</a>
    </li>
    <li>
      <a href="../articles/making_microreact_compatible_data.html">Making Microreact-compatible data from GHRU metadata and outputs</a>
    </li>
    <li>
      <a href="../articles/making_microreact_compatible_data_manually.html">Making Microreact-compatible data from GHRU metadata the manual way</a>
    </li>
    <li>
      <a href="../articles/ploting_GHRU_data.html">Making plots from GHRU data</a>
    </li>
    <li>
      <a href="../articles/plotting_upset_diagrams.html">Making upset plots from GHRU data</a>
    </li>
    <li>
      <a href="../articles/simple_concordance_example.html">Example of a simple concordance analysis</a>
    </li>
  </ul>
</li>
      </ul>
<ul class="nav navbar-nav navbar-right"></ul>
</div>
<!--/.nav-collapse -->
  </div>
<!--/.container -->
</div>
<!--/.navbar -->

      

      </header><script src="analysing_ghru_data_files/header-attrs-2.11/header-attrs.js"></script><div class="row">
  <div class="col-md-9 contents">
    <div class="page-header toc-ignore">
      <h1 data-toc-skip>Analysing GHRU Data</h1>
            
      
      
      <div class="hidden name"><code>analysing_ghru_data.Rmd</code></div>

    </div>

    
    
<div id="getting-data-from-google-spreadsheets" class="section level2">
<h2 class="hasAnchor">
<a href="#getting-data-from-google-spreadsheets" class="anchor"></a>Getting data from Google Spreadsheets</h2>
<p>This requires some pre-requisites:</p>
<ol style="list-style-type: decimal">
<li>
<p>A Googlesheet (here we will call it a <strong>data type sheet list</strong>) with headers type and url that lists the urls of other googlesheets containing data. An example of the format is</p>
<table class="table">
<thead><tr class="header">
<th align="left">type</th>
<th align="left">url</th>
</tr></thead>
<tbody>
<tr class="odd">
<td align="left">Epidemiological Metadata</td>
<td align="left">
<a href="https://docs.google.com/spreadsheets/d/123" class="uri">https://docs.google.com/spreadsheets/d/123</a>….</td>
</tr>
<tr class="even">
<td align="left">QC and Assembly Metadata</td>
<td align="left">
<a href="https://docs.google.com/spreadsheets/d/456" class="uri">https://docs.google.com/spreadsheets/d/456</a>….</td>
</tr>
</tbody>
</table>
<p>You can check the contents of a spreadsheet using the print_country_and_types command</p>
<div class="sourceCode" id="cb1"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va">ghruR</span><span class="op">)</span></code></pre></div>
<div class="sourceCode" id="cb2"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb2-1"><a href="#cb2-1" aria-hidden="true" tabindex="-1"></a><span class="fu">print_data_types</span>(</span>
<span id="cb2-2"><a href="#cb2-2" aria-hidden="true" tabindex="-1"></a>  <span class="at">list_of_data_types_sheet_url =</span> <span class="st">"https://docs.google.com/spreadsheets/d/1p0QfIZWQ55S5wZy9XQYn4L0kSUYMwLGPNYP5q9ef8kY"</span>,</span>
<span id="cb2-3"><a href="#cb2-3" aria-hidden="true" tabindex="-1"></a>  <span class="at">exclude_url =</span> <span class="cn">FALSE</span></span>
<span id="cb2-4"><a href="#cb2-4" aria-hidden="true" tabindex="-1"></a>)</span>
<span id="cb2-5"><a href="#cb2-5" aria-hidden="true" tabindex="-1"></a>Warning<span class="sc">:</span> <span class="st">`</span><span class="at">data_frame()</span><span class="st">`</span> was deprecated <span class="cf">in</span> tibble <span class="dv">1</span>.<span class="dv">1</span>.<span class="fl">0.</span></span>
<span id="cb2-6"><a href="#cb2-6" aria-hidden="true" tabindex="-1"></a>Please use <span class="st">`</span><span class="at">tibble()</span><span class="st">`</span> instead.</span>
<span id="cb2-7"><a href="#cb2-7" aria-hidden="true" tabindex="-1"></a>This warning is displayed once every <span class="dv">8</span> hours.</span>
<span id="cb2-8"><a href="#cb2-8" aria-hidden="true" tabindex="-1"></a>Call <span class="st">`</span><span class="at">lifecycle::last_lifecycle_warnings()</span><span class="st">`</span> to see where this warning was generated.</span>
<span id="cb2-9"><a href="#cb2-9" aria-hidden="true" tabindex="-1"></a><span class="co"># A tibble: 6 × 2</span></span>
<span id="cb2-10"><a href="#cb2-10" aria-hidden="true" tabindex="-1"></a>  type                                 url                                      </span>
<span id="cb2-11"><a href="#cb2-11" aria-hidden="true" tabindex="-1"></a>  <span class="sc">&lt;</span>chr<span class="sc">&gt;</span>                                <span class="er">&lt;</span>chr<span class="sc">&gt;</span>                                    </span>
<span id="cb2-12"><a href="#cb2-12" aria-hidden="true" tabindex="-1"></a><span class="dv">1</span> Antimicrobial Susceptibility Testing <span class="sc">&lt;</span><span class="cn">NA</span><span class="sc">&gt;</span>                                     </span>
<span id="cb2-13"><a href="#cb2-13" aria-hidden="true" tabindex="-1"></a><span class="dv">2</span> Combined Data                        <span class="sc">&lt;</span><span class="cn">NA</span><span class="sc">&gt;</span>                                     </span>
<span id="cb2-14"><a href="#cb2-14" aria-hidden="true" tabindex="-1"></a><span class="dv">3</span> Epidemiological Metadata             https<span class="sc">:</span><span class="er">//</span>docs.google.com<span class="sc">/</span>spreadsheets<span class="sc">/</span>d<span class="sc">/</span>1…</span>
<span id="cb2-15"><a href="#cb2-15" aria-hidden="true" tabindex="-1"></a><span class="dv">4</span> HiSeq X10 Sequencing Metadata        <span class="sc">&lt;</span><span class="cn">NA</span><span class="sc">&gt;</span>                                     </span>
<span id="cb2-16"><a href="#cb2-16" aria-hidden="true" tabindex="-1"></a><span class="dv">5</span> MiSeq Sequencing Metadata            <span class="sc">&lt;</span><span class="cn">NA</span><span class="sc">&gt;</span>                                     </span>
<span id="cb2-17"><a href="#cb2-17" aria-hidden="true" tabindex="-1"></a><span class="dv">6</span> QC and Assembly Metadata             https<span class="sc">:</span><span class="er">//</span>docs.google.com<span class="sc">/</span>spreadsheets<span class="sc">/</span>d<span class="sc">/</span>1…</span></code></pre></div>
</li>
<li>
<p>The linked spreadsheets contained in the <strong>data type sheet list</strong> contain the data that you can manipulate, merge, join and analyse. Therefore by specifying the data type the data frame containing that data can be fetched The available data types are:</p>
<ul>
<li>AMR Klebsiella pneumoniae</li>
<li>Antimicrobial Susceptibility Testing</li>
<li>Epidemiological Metadata</li>
<li>HiSeq X10 Sequencing Metadata</li>
<li>MiSeq Sequencing Metadata</li>
<li>MLST</li>
<li>QC and Assembly Metadata</li>
</ul>
<p>Because each country has its own data we use a function that first retrieves the URL for a <strong>data type sheet list</strong> for the country specified and then gets the data for the data type specified To get the data from the <code>Epidemiological Metadata</code> and <code>QC and Assembly Metadata</code> from <code>countryX</code> you would use the following command for example</p>
<div class="sourceCode" id="cb3"><pre class="sourceCode r"><code class="sourceCode r"><span id="cb3-1"><a href="#cb3-1" aria-hidden="true" tabindex="-1"></a>epidemiological_metadata <span class="ot">&lt;-</span> <span class="fu">get_data_for_country</span>(<span class="st">'https://docs.google.com/spreadsheets/d/1D04XRov74Cw9LHgZTgkb4s8w4SfqbOOsjwD1k_UdQ-c'</span>,</span>
<span id="cb3-2"><a href="#cb3-2" aria-hidden="true" tabindex="-1"></a>                                                 <span class="at">user_email =</span> <span class="st">'anthony.underwood@cgps.group'</span>,</span>
<span id="cb3-3"><a href="#cb3-3" aria-hidden="true" tabindex="-1"></a>                                                 <span class="at">country_value =</span> <span class="st">'countryX'</span>,</span>
<span id="cb3-4"><a href="#cb3-4" aria-hidden="true" tabindex="-1"></a>                                                 <span class="at">type_value =</span> <span class="st">'Epidemiological Metadata'</span></span>
<span id="cb3-5"><a href="#cb3-5" aria-hidden="true" tabindex="-1"></a>                                                 )</span>
<span id="cb3-6"><a href="#cb3-6" aria-hidden="true" tabindex="-1"></a>[<span class="dv">1</span>] <span class="st">"anthony.underwood@cgps.group"</span></span>
<span id="cb3-7"><a href="#cb3-7" aria-hidden="true" tabindex="-1"></a>[<span class="dv">1</span>] <span class="st">"anthony.underwood@cgps.group"</span></span>
<span id="cb3-8"><a href="#cb3-8" aria-hidden="true" tabindex="-1"></a>[<span class="dv">1</span>] <span class="st">"anthony.underwood@cgps.group"</span></span>
<span id="cb3-9"><a href="#cb3-9" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb3-10"><a href="#cb3-10" aria-hidden="true" tabindex="-1"></a>qc_and_assembly_metadata <span class="ot">&lt;-</span> <span class="fu">get_data_for_country</span>(<span class="st">'https://docs.google.com/spreadsheets/d/1D04XRov74Cw9LHgZTgkb4s8w4SfqbOOsjwD1k_UdQ-c'</span>,</span>
<span id="cb3-11"><a href="#cb3-11" aria-hidden="true" tabindex="-1"></a>                                                 <span class="at">user_email =</span> <span class="st">'anthony.underwood@cgps.group'</span>,</span>
<span id="cb3-12"><a href="#cb3-12" aria-hidden="true" tabindex="-1"></a>                                                 <span class="at">country_value =</span> <span class="st">'countryX'</span>,</span>
<span id="cb3-13"><a href="#cb3-13" aria-hidden="true" tabindex="-1"></a>                                                 <span class="at">type_value =</span> <span class="st">'QC and Assembly Metadata'</span></span>
<span id="cb3-14"><a href="#cb3-14" aria-hidden="true" tabindex="-1"></a>                                                 )</span>
<span id="cb3-15"><a href="#cb3-15" aria-hidden="true" tabindex="-1"></a>[<span class="dv">1</span>] <span class="st">"anthony.underwood@cgps.group"</span></span></code></pre></div>
<p>Now the data can be joined and analysed</p>
</li>
</ol>
</div>
<div id="example-analysis" class="section level2">
<h2 class="hasAnchor">
<a href="#example-analysis" class="anchor"></a>Example analysis</h2>
<p>In this example we will investiagte the relationship between species ID by Vitek and the genomic prediction using Bactinspector. This involves getting the Epidemiolgical and QC and Assembly metadata first. These dataframes can then be joined and filtered to get counts of where the Vitek matches the genomic resulst (TP) or where they don’t (FP). This can then be plotted as a bar chart and based on this visualisation further investigation performed.</p>
<div class="sourceCode" id="cb4"><pre class="downlit sourceCode r">
<code class="sourceCode R"><span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va"><a href="https://tidyr.tidyverse.org">tidyr</a></span><span class="op">)</span>
<span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va"><a href="https://dplyr.tidyverse.org">dplyr</a></span><span class="op">)</span>
<span class="kw"><a href="https://rdrr.io/r/base/library.html">library</a></span><span class="op">(</span><span class="va"><a href="https://ggplot2.tidyverse.org">ggplot2</a></span><span class="op">)</span>
<span class="co"># select only species data from both tables</span>
<span class="va">epidemiological_metadata_species</span> <span class="op">&lt;-</span> <span class="va">epidemiological_metadata</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span><span class="op">(</span><span class="st">'Sample id'</span>, <span class="st">'Species'</span><span class="op">)</span>
<span class="va">qc_and_assembly_metadata_species</span> <span class="op">&lt;-</span> <span class="va">qc_and_assembly_metadata</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span><span class="op">(</span><span class="st">'Sample id'</span>, <span class="st">'Bactinspector species'</span>, <span class="st">'Bactinspector result'</span><span class="op">)</span>
<span class="co"># join epi and qc data</span>
<span class="va">combined_data</span> <span class="op">&lt;-</span> <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/mutate-joins.html">inner_join</a></span><span class="op">(</span><span class="va">epidemiological_metadata_species</span>, <span class="va">qc_and_assembly_metadata_species</span>, by<span class="op">=</span><span class="st">'Sample id'</span><span class="op">)</span>
<span class="co"># rename species to epi_three_letter_code</span>
<span class="va">combined_data</span> <span class="op">&lt;-</span> <span class="va">combined_data</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://dplyr.tidyverse.org/reference/rename.html">rename</a></span><span class="op">(</span><span class="st">'epi_three_letter_code'</span> <span class="op">=</span> <span class="st">'Species'</span><span class="op">)</span>
<span class="co"># get species lookup table for whonet 3 letter codes using ghruR function</span>
<span class="va">species_lookup</span> <span class="op">&lt;-</span> <span class="fu"><a href="../reference/whonet_species_map.html">whonet_species_map</a></span><span class="op">(</span><span class="op">)</span>
<span class="co"># get species name based on the 3 letter code and rename appropriate columns as epi_species and genomic_species</span>
<span class="va">combined_data</span> <span class="op">&lt;-</span> <span class="va">combined_data</span> <span class="op">%&gt;%</span>
  <span class="fu"><a href="https://dplyr.tidyverse.org/reference/mutate-joins.html">left_join</a></span><span class="op">(</span><span class="va">species_lookup</span>, by <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="st">'epi_three_letter_code'</span> <span class="op">=</span> <span class="st">'three_letter_code'</span><span class="op">)</span><span class="op">)</span> <span class="op">%&gt;%</span>
  <span class="fu"><a href="https://dplyr.tidyverse.org/reference/rename.html">rename</a></span><span class="op">(</span><span class="st">'epi_species'</span> <span class="op">=</span> <span class="st">'name'</span>, <span class="st">'genomic_species'</span> <span class="op">=</span> <span class="st">'Bactinspector species'</span>, <span class="st">'genomic_result_status'</span> <span class="op">=</span> <span class="st">'Bactinspector result'</span><span class="op">)</span> <span class="op">%&gt;%</span> 
  <span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span><span class="op">(</span><span class="st">'Sample id'</span>, <span class="va">epi_species</span>, <span class="va">genomic_species</span>, <span class="va">genomic_result_status</span><span class="op">)</span>
<span class="co"># transform salmonella serovars to names matching whonet map</span>
<span class="va">combined_data</span><span class="op">$</span><span class="va">genomic_species</span> <span class="op">&lt;-</span> <span class="va">combined_data</span><span class="op">$</span><span class="va">genomic_species</span> <span class="op">%&gt;%</span>
  <span class="fu">stringr</span><span class="fu">::</span><span class="fu"><a href="https://stringr.tidyverse.org/reference/str_replace.html">str_replace_all</a></span><span class="op">(</span>pattern<span class="op">=</span><span class="st">'Salmonella enterica subsp. enterica serovar (.+)'</span>, replacement<span class="op">=</span><span class="st">'Salmonella \\1'</span><span class="op">)</span>
<span class="co"># get true and false positive having removed uncertain genomic_species results</span>
<span class="va">true_and_false_positives</span> <span class="op">&lt;-</span> <span class="va">combined_data</span> <span class="op">%&gt;%</span> 
                            <span class="fu"><a href="https://dplyr.tidyverse.org/reference/filter.html">filter</a></span><span class="op">(</span><span class="va">genomic_result_status</span> <span class="op">!=</span> <span class="st">'uncertain'</span><span class="op">)</span> <span class="op">%&gt;%</span> 
                            <span class="fu"><a href="https://dplyr.tidyverse.org/reference/mutate.html">mutate</a></span><span class="op">(</span>match <span class="op">=</span> <span class="fu"><a href="https://dplyr.tidyverse.org/reference/case_when.html">case_when</a></span><span class="op">(</span><span class="va">genomic_species</span> <span class="op">==</span> <span class="va">epi_species</span> <span class="op">~</span> <span class="st">'TP'</span>, <span class="cn">TRUE</span> <span class="op">~</span> <span class="st">'FP'</span><span class="op">)</span><span class="op">)</span> <span class="op">%&gt;%</span> 
                            <span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html">select</a></span><span class="op">(</span><span class="op">-</span><span class="va">genomic_species</span>, <span class="op">-</span><span class="va">genomic_result_status</span><span class="op">)</span>
<span class="co"># count true and false positives</span>
<span class="va">grouped_data</span> <span class="op">&lt;-</span> <span class="va">true_and_false_positives</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://dplyr.tidyverse.org/reference/group_by.html">group_by</a></span><span class="op">(</span><span class="va">epi_species</span>, <span class="va">match</span><span class="op">)</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://dplyr.tidyverse.org/reference/count.html">count</a></span><span class="op">(</span>name <span class="op">=</span> <span class="st">'count'</span><span class="op">)</span>
<span class="co"># fill in missing TP or FP with 0</span>
<span class="va">grouped_data</span> <span class="op">&lt;-</span> <span class="va">grouped_data</span> <span class="op">%&gt;%</span> <span class="fu"><a href="https://tidyr.tidyverse.org/reference/complete.html">complete</a></span><span class="op">(</span><span class="va">epi_species</span>, match<span class="op">=</span><span class="fu"><a href="https://rdrr.io/r/base/c.html">c</a></span><span class="op">(</span><span class="st">'TP'</span>, <span class="st">'FP'</span><span class="op">)</span>, fill <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/list.html">list</a></span><span class="op">(</span>count<span class="op">=</span><span class="fl">0</span><span class="op">)</span><span class="op">)</span>
    <span class="co"># plot data</span>
<span class="fu"><a href="https://ggplot2.tidyverse.org/reference/ggplot.html">ggplot</a></span><span class="op">(</span><span class="va">grouped_data</span>, <span class="fu"><a href="https://ggplot2.tidyverse.org/reference/aes.html">aes</a></span><span class="op">(</span>fill<span class="op">=</span><span class="va">match</span>, x  <span class="op">=</span> <span class="va">epi_species</span>, y <span class="op">=</span> <span class="va">count</span><span class="op">)</span><span class="op">)</span> <span class="op">+</span>  <span class="fu"><a href="https://ggplot2.tidyverse.org/reference/geom_bar.html">geom_bar</a></span><span class="op">(</span>position<span class="op">=</span><span class="st">"dodge"</span>, stat<span class="op">=</span><span class="st">"identity"</span><span class="op">)</span> <span class="op">+</span> <span class="fu"><a href="https://ggplot2.tidyverse.org/reference/theme.html">theme</a></span><span class="op">(</span>axis.text.x <span class="op">=</span> <span class="fu"><a href="https://ggplot2.tidyverse.org/reference/element.html">element_text</a></span><span class="op">(</span>angle <span class="op">=</span> <span class="fl">90</span>, hjust <span class="op">=</span> <span class="fl">1</span><span class="op">)</span><span class="op">)</span></code></pre></div>
<p><img src="analysing_ghru_data_files/figure-html/unnamed-chunk-4-1.png" width="700"></p>
<p>Here is the same plot with some real world data <img src="images/epi_vs_genomic_species_id_comparison.png" alt="data from GHRU epi and sequence data"> It is interesting to note that Acinetobacter baumannii, Klebsiella pneumoniae, Salmonella, and Staphylococcus aureus have a large number of FP. The Salmonella mismatches are due to issues with genomics prediction of serovar using just mash. The others can be investigated using commands such as</p>
<p><strong>Acinetobacter baumannii</strong></p>
<pre><code>combined_data %&gt;% filter(epi_species == 'Acinetobacter baumannii' &amp; epi_species != genomic_species)
# A tibble: 11 x 4
   `Sample id` epi_species             genomic_species            genomic_result_status
   &lt;chr&gt;       &lt;chr&gt;                   &lt;chr&gt;                      &lt;chr&gt;                
 1 G18760433   Acinetobacter baumannii Acinetobacter pittii       good                 
 2 G18760823   Acinetobacter baumannii Acinetobacter nosocomialis good                 
 3 G18760959   Acinetobacter baumannii Acinetobacter pittii       good                 
 4 G18761981   Acinetobacter baumannii Pseudomonas aeruginosa     good                 
 5 G18763157   Acinetobacter baumannii Acinetobacter pittii       good                 
 6 G18763377   Acinetobacter baumannii Bacillus cereus            good                 
 7 G18764158   Acinetobacter baumannii Acinetobacter pittii       good                 
 8 G18754211   Acinetobacter baumannii Acinetobacter nosocomialis good                 
 9 G18754214   Acinetobacter baumannii Acinetobacter nosocomialis good                 
10 G18754246   Acinetobacter baumannii Acinetobacter nosocomialis good                 
11 G18754295   Acinetobacter baumannii Acinetobacter pittii       good  </code></pre>
<p><strong>Klebsiella pneumoniae</strong></p>
<pre><code>combined_data %&gt;% filter(epi_species == 'Klebsiella pneumoniae' &amp; epi_species != genomic_species)
# A tibble: 48 x 4
   `Sample id` epi_species           genomic_species            genomic_result_status
   &lt;chr&gt;       &lt;chr&gt;                 &lt;chr&gt;                      &lt;chr&gt;                
 1 G18760420   Klebsiella pneumoniae Klebsiella quasipneumoniae good                 
 2 G18760455   Klebsiella pneumoniae Klebsiella quasipneumoniae good                 
 3 G18760538   Klebsiella pneumoniae Klebsiella quasipneumoniae good                 
 4 G18760678   Klebsiella pneumoniae Klebsiella quasipneumoniae good                 
 5 G18760772   Klebsiella pneumoniae Klebsiella quasipneumoniae good                 
 6 G18761172   Klebsiella pneumoniae Klebsiella quasipneumoniae good                 
 7 G18761185   Klebsiella pneumoniae Klebsiella quasipneumoniae good                 
 8 G18761429   Klebsiella pneumoniae Klebsiella quasipneumoniae good                 
 9 G18762493   Klebsiella pneumoniae Klebsiella quasipneumoniae good                 
10 G18762494   Klebsiella pneumoniae Klebsiella quasipneumoniae good                 
# … with 38 more rows</code></pre>
<p><strong>Staphylococcus aureus</strong></p>
<pre><code>combined_data %&gt;% filter(epi_species == 'Staphylococcus aureus' &amp; epi_species != genomic_species)
# A tibble: 13 x 4
   `Sample id` epi_species           genomic_species          genomic_result_status
   &lt;chr&gt;       &lt;chr&gt;                 &lt;chr&gt;                    &lt;chr&gt;                
 1 G18760291   Staphylococcus aureus Staphylococcus sciuri    uncertain            
 2 G18760340   Staphylococcus aureus Staphylococcus argenteus good                 
 3 G18760797   Staphylococcus aureus Staphylococcus argenteus good                 
 4 G18761989   Staphylococcus aureus Staphylococcus argenteus good                 
 5 G18762363   Staphylococcus aureus Staphylococcus argenteus good                 
 6 G18762364   Staphylococcus aureus Staphylococcus argenteus good                 
 7 G18762634   Staphylococcus aureus Staphylococcus argenteus good                 
 8 G18763441   Staphylococcus aureus Staphylococcus argenteus good                 
 9 G18754525   Staphylococcus aureus Staphylococcus argenteus good                 
10 G18754612   Staphylococcus aureus Staphylococcus argenteus good                 
11 G18754695   Staphylococcus aureus Staphylococcus argenteus good                 
12 G18754745   Staphylococcus aureus Staphylococcus argenteus good                 
13 G18754754   Staphylococcus aureus Staphylococcus argenteus good  </code></pre>
</div>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="pkgdown-sidebar">

        <nav id="toc" data-toggle="toc"><h2 data-toc-skip>Contents</h2>
    </nav>
</div>

</div>



      <footer><div class="copyright">
  <p>Developed by CGPS team.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.6.1.</p>
</div>

      </footer>
</div>

  


  </body>
</html>
